Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 184112 - partition related backtrace when upgrading from FC4
Summary: partition related backtrace when upgrading from FC4
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-03-06 14:13 UTC by Jens Petersen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-27 14:18:41 UTC


Attachments (Terms of Use)

Description Jens Petersen 2006-03-06 14:13:06 UTC
Description of problem:
Anaconda backtraced while doing a upgrade from FC-4.

Version-Release number of selected component (if applicable):
rawhide-20060305
anaconda-10.92.16-1

Steps to Reproduce:
1. Install FC-4
2. Upgrade to rawhide
  
Actual results:
Backtrace ending with:

  File "/usr/lib/anaconda/yuminstall.py", line 798, in doPostSelection
    if largePart.getActualSize(id.partitions, id.diskset) < self.totalSize / 1024:
AttributeError: 'NoneType' object has no attribute 'getActualSize'

Expected results:
No backtrace

Comment 1 Chris Lumens 2006-03-06 16:15:55 UTC
For FC5, I've disabled the size check for upgrades.  We need to make sure we fix
this for real in FC6 though.

Comment 2 Jens Petersen 2006-03-08 04:07:02 UTC
Thanks, confirmed backtrace doesn't occur anymore with anaconda-10.92.17-1.


Note You need to log in before you can comment on or make changes to this bug.